.block {

    &--dark-first {
        position: relative;
        padding-top: rem(90);
    }

    @include media-breakpoint-up(xl) {

        &--dark-first {
            padding-top: rem(150);
        }
    }
}

.tasks {
    display: grid;
    grid-row-gap: rem(16);
    grid-column-gap: rem(12);
    grid-template-columns: 1fr;

    &__item {
        color: $white;
        font-weight: 500;
        min-height: rem(140);
        overflow: hidden;
        position: relative;
        background: #1B1C1D;
        border-radius: 20px;
        font-size: rem(16);
        line-height: rem(24);
        padding: rem(16) rem(16) rem(32) rem(16);
    }

    &__title {
        z-index: 10;
        font-weight: 700;
        font-size: rem(32);
        line-height: rem(40);
        margin-bottom: rem(20);
        position: relative;
        background: radial-gradient(597.54% 281.63% at -11.25% 121.11%, #4EA6F8 0%, #519DF5 10%, #2A1A8F 95.92%);
        background-clip: text;
        -webkit-background-clip: text;
        -webkit-text-fill-color: transparent;
        text-fill-color: transparent;
    }


    &__num {
        right: rem(-10);
        bottom: rem(-10);
        z-index: 1;
        font-size: 0;
        line-height: 0;
        height: 120px;
        position: absolute;
        display: inline-block;
    }

    @include media-breakpoint-up(lg) {
        grid-template-columns: 1fr 1fr 1fr;
    }

    @include media-breakpoint-up(xl) {
        grid-row-gap: rem(24);
        grid-column-gap: rem(24);

        &__item {
            font-weight: 500;
            font-size: rem(24);
            line-height: 140%;
            padding: rem(20) rem(30) rem(40) rem(30);
        }

        &__title {
            font-size: rem(34);
            line-height: rem(45);
        }

        &__num {
            height: rem(142);
        }
    }
}

.scope {
    display: grid;
    grid-row-gap: rem(16);
    grid-column-gap: rem(16);
    grid-template-columns: 1fr;

    &__item {
        color: $white;
        overflow: hidden;
        position: relative;
        background: #1B1C1D;
        border-radius: 20px;
        font-size: rem(16);
        line-height: rem(24);
        padding: rem(16);

        &--blue {
            text-align: center;
            background: url("../img/scope__bg.webp") 50% 50% no-repeat;
            background-size: cover;
        }
    }

    &__title {
        z-index: 10;
        font-weight: 700;
        font-size: rem(32);
        line-height: rem(40);
        position: relative;
        margin-bottom: rem(20);
        background: radial-gradient(597.54% 281.63% at -11.25% 121.11%, #4EA6F8 0%, #519DF5 10%, #2A1A8F 95.92%);
        -webkit-background-clip: text;
        -webkit-text-fill-color: transparent;
        background-clip: text;
        text-fill-color: transparent;
    }

    &__lead {
        font-weight: 600;
        font-size: rem(24);
        line-height: rem(32);
        margin-bottom: rem(10);
    }

    &__buttons {
        padding-top: rem(20);
        display: grid;
        grid-row-gap: rem(15);
        grid-column-gap: rem(15);
        grid-template-columns: 1fr;
    }

    @include media-breakpoint-up(md) {
        grid-template-columns: 1fr 1fr;

        &__item {

            &--blue {
                grid-column-start: 1;
                grid-column-end: 3;
            }
        }

        &__text {
            margin: 0 auto;
            max-width: rem(700);
        }

        &__buttons {
            margin: 0 auto;
            width: rem(500);
            grid-template-columns: 1fr 1fr;
        }
    }

    @include media-breakpoint-up(xl) {
        grid-row-gap: rem(24);
        grid-column-gap: rem(24);

        &__item {
            padding: rem(32) rem(34);
            font-size: rem(24);
            line-height: 145%;

            &--blue {
                padding-bottom: rem(25);
            }
        }

        &__title {
            font-size: rem(50);
            line-height: 120%;
        }

        &__lead {
            font-size: rem(34);
            line-height: rem(45);
        }
    }
}

.header-lead {
    font-weight: 700;
    text-align: center;
    font-size: rem(40);
    line-height: rem(50);
    margin-bottom: rem(20);

    @include media-breakpoint-up(md) {
        text-align: left;
        font-size: rem(80);
        line-height: rem(90);
    }

    @include media-breakpoint-up(xl) {
        font-size: rem(120);
        line-height: 120%;
    }
}

.main--page {
    position: relative;
}

.main-wrap {
    position: relative;
}

.main-content {
    z-index: 10;
    position: relative;
}

.main-bg {
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 5;
    overflow: hidden;
    position: absolute;
}

.main-dark {
    z-index: 5;
    position: absolute;

    &--01 {
        top: 0;
        right: -114px;
        width: 451px;
        height: 451px;
        background: radial-gradient(50% 50% at 50% 50%, rgba(4, 39, 165, 0.6) 0%, rgba(64, 146, 255, 0) 100%);
        filter: blur(71px);
    }

    &--02 {
        top: 600px;
        left: -320px;
        width: 722px;
        height: 722px;
        background: radial-gradient(50% 50% at 50% 50%, rgba(4, 39, 165, 0.6) 0%, rgba(64, 146, 255, 0) 100%);
        filter: blur(71px);
    }

    &--03 {
        top: 1182px;
        right: -320px;
        width: 722px;
        height: 722px;
        background: radial-gradient(50% 50% at 50% 50%, rgba(4, 39, 165, 0.6) 0%, rgba(64, 146, 255, 0) 100%);
        filter: blur(71px);
    }

    &--02 {
        top: 3136px;
        left: calc(50% - 360px);
        width: 722px;
        height: 722px;
        background: radial-gradient(50% 50% at 50% 50%, rgba(4, 39, 165, 0.6) 0%, rgba(64, 146, 255, 0) 100%);
        filter: blur(71px);
    }


    &--05 {
        bottom: 100px;
        left: -190px;
        width: 614px;
        transform: rotate(70deg);
    }

    @include media-breakpoint-up(xl) {

        &--01 {
            top: 0;
            left: calc(50% - 100px);
            width: 1148px;
            height: 1148px;
        }

        &--02 {
            top: 1135px;
            left: calc(50% - 1000px);
            width: 1170px;
            height: 1170px;
        }

        &--03 {
            display: none;
        }

        &--04 {
            display: none;
        }

        &--05 {
            left: calc(50% - 1200px);
            width: 1810px;
            bottom: -100px;
            transform: rotate(70deg);
        }
    }
}

.h1-heading {
    font-weight: 700;
    text-align: center;
    font-size: rem(24);
    line-height: 145%;
    margin-bottom: rem(20);

    @include media-breakpoint-up(md) {
        text-align: left;
        font-size: rem(32);
        margin-bottom: rem(30);
    }

    @include media-breakpoint-up(xl) {
        font-size: rem(50);
    }
}

@include media-breakpoint-up(md) {}
@include media-breakpoint-up(lg) {}
@include media-breakpoint-up(xl) {}

